<?php
/**
 * FSF Member Dashboard
 * Copyright © 2014 Free Software Foundation, Inc.
 *
 * This file is a part of FSF Member Dashboard.
 *
 * FSF Member Dashboard is free software; you can copy, modify, and
 * distribute it under the terms of the GNU Affero General Public
 * License Version 3, 19 November 2007 and the CiviCRM Licensing
 * Exception.
 *
 * FSF Member Dashboard is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Affero General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FSF Member Dashboard.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

require_once 'CRM/Core/Page.php';

class CRM_Memberdashboard_Page_MemberDashboard extends CRM_Memberdashboard_Page {
  /**
   * Return the personalized title for the page.
   *
   * @return Title string
   */
  function pageTitle() {
    return ts('Welcome, ') . $this->contact['first_name'] . '!';
  }

  function run() {
    $helper = new CRM_Memberdashboard_Page_ComponentHelper(array(
      'CiviMember',
      'CiviContribute'
    ));
    $helper->run();

    $this->assign('dashboardElements', $helper->buildDashboardElements());

    parent::run();

    CRM_Utils_System::setTitle($this->pageTitle());
  }
}
